<?php

global $options;
$options = get_option('swt_theme_options');

if ( $options['swt_fp_top']=='Display' ) {

	$fp_cat = $options['swt_fp_category_top'];
	$fp_cat_id = get_cat_ID($fp_cat);
	$fp_num = $options['swt_fp_count_top'];

?>
<div id="featured">
	<ul class="featured-top">
		<?php $swt_query = new WP_Query( 'cat= '. $fp_cat_id . '&showposts='. $fp_num .'' ); $x = 0; while ( $swt_query->have_posts() ) : $swt_query->the_post(); $x++;
		
		if ( ( $x % 2 ) !== 0 )
			$class = 'class="left"';
		else
			$class = 'class="right"';
		
		?>
		
			<li <?php echo $class; ?>>
				<h4 class="top-title"><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h4>
				<?php if ( current_theme_supports( 'get-the-image' ) ) get_the_image( array( 'meta_key' => 'Thumbnail', 'width' => 172, 'height' => 122, 'image_class' => 'alignleft') ); ?>
				<div class="dc">
					<span class="ttime"><?php the_time('d.m.Y'); ?></span>
					<span class="tcomm"><?php comments_popup_link( '0 Комментариев &#187;', '1 Комментарий &#187;', '% Комментариев &#187;', 'comm', hybrid_get_parent_textdomain() ); ?></span>
				</div>
			</li>
		<?php endwhile; ?>
	</ul><!-- .featured-posts -->
	<div class="clear"></div>
</div><!-- #featured -->
<?php } ?>